version: '3.1'

services:
  server:
    build: ../../../sathyasaiyaapp/scripts/docker/server
    ports:
      - 3006:3006
      - 9229:9229
    volumes:
      - ../../../server:/var/www/server
    environment:
      NODE_ENV: local
      POSTGRES_DATABASE: sathyasaiyaapp
      POSTGRES_USERNAME: app
      POSTGRES_PASSWORD: L0v3@llS3rv3@ll
      POSTGRES_PORT: 5432
      POSTGRES_HOST: db
      REDIS_HOST: redis
      REDIS_PORT: 6379
    container_name: app_server
    depends_on:
      - db
      - redis

  db:
    image: postgres:12-alpine
    volumes:
      - ../../../server/db/init.sql:/docker-entrypoint-initdb.d/init.sql
      - ./data/postgres:/var/lib/postgresql/data
    environment:
      POSTGRES_USER: app
      POSTGRES_DB: sathyasaiyaapp
      POSTGRES_PASSWORD: L0v3@llS3rv3@ll

  redis:
    image: redis:6-alpine
    volumes:
      - ./data/redis:/data
